Skip to main content
GET
/
api
/
v1
/
nodes
curl https://nearnode.io/api/v1/nodes?status=active&limit=10 \
  -H "Authorization: Bearer sk_live_..."
{
  "data": [
    {
      "id": "node_abc123...",
      "slug": "k9m2xp4q",
      "label": "Office Front Door",
      "url": "https://nearnode.io/v/k9m2xp4q",
      "function_type": "redirect",
      "payload": {
        "url": "https://acme.com/welcome"
      },
      "status": "active",
      "scan_count": 1247,
      "created_at": "2026-02-10T10:00:00Z"
    }
  ],
  "total": 42
}

Query Parameters

status
string
Filter by lifecycle status. One of draft, in_production, active, paused, lost, retired.
function_type
string
Filter by payload type. One of redirect, vcard, wifi, microsite, digital_card, action.
batch_id
string
Filter by batch ID to list nodes from a specific batch.
limit
integer
default:"50"
Number of results per page (max 100).
offset
integer
default:"0"
Pagination offset.

Response

data
array
Array of node objects.
total
integer
Total number of matching nodes.
curl https://nearnode.io/api/v1/nodes?status=active&limit=10 \
  -H "Authorization: Bearer sk_live_..."
{
  "data": [
    {
      "id": "node_abc123...",
      "slug": "k9m2xp4q",
      "label": "Office Front Door",
      "url": "https://nearnode.io/v/k9m2xp4q",
      "function_type": "redirect",
      "payload": {
        "url": "https://acme.com/welcome"
      },
      "status": "active",
      "scan_count": 1247,
      "created_at": "2026-02-10T10:00:00Z"
    }
  ],
  "total": 42
}